body {
	overflow-x: hidden;
	font-family: 'Roboto', sans-serif;
	background-color: #303030;
	color: #e5e5e5;
}

p {
	line-height: 1.75;
}

a {
	color: #fed136;
}

a:hover {
	color: #fec503;
}

.text-primary {
	color: #fed136 !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-weight: 700;
}

#about { 

	padding-top: 80px;
	margin-bottom: 10px;
}

section {

}



.progress-bar {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    color: #fff;
    text-align: center;
    background-color: #fff;
    transition: width .6s ease;
	
	
}

.progress {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 1rem;
    overflow: hidden;
    font-size: .75rem;
    background-color: #303030;
    border-radius: .25rem;
	height: 3px;
	    margin-bottom: 30px;
		    margin-top: 10px;
	
}

.skill-icon {
    text-align: center;
    font-size: 30px;
    padding: 0px;
    line-height: 0px;
    margin-top: 0px;
}


.skills h3 {
    margin-bottom: 30px;
    font-size: 24px;
    line-height: 32px;
}

section h2.section-heading {
    font-size: 32px;
    line-height: 42px;
    opacity: 0.7;
    font-weight: 700;
    margin: 0px;
    padding-top: 20px;
}

	
.section-heading i {
	    margin-right: 30px;

}

.section-title {
    text-align: center;
    padding-bottom: 40px;
    padding-top: 40px;
}



section h3.section-subheading {
	font-size: 16px;
	font-weight: 400;
	font-style: italic;
	margin-bottom: 75px;
	text-transform: none;
}

@media (min-width: 768px) {
	section {

	}
}




.btn {
	font-weight: 700;
}

.btn-xl {
	font-size: 18px;
	padding: 20px 40px;
}

.btn-primary {
    background-color: #4caf50;
    border-color: #4caf50;
    padding: 10px 50px;
    border-radius: 0;
	text-transform: uppercase;	
}

.btn-secondary {
	background-color: #607d8b;
	border-color: #607d8b;
	padding: 10px 50px;
    border-radius: 0;
	text-transform: uppercase;
}

.btn-primary:active,
.btn-primary:focus,
.btn-primary:hover {
	background-color: #317f34 !important;
	border-color: #317f34 !important;
	color: white;
}

::-moz-selection {
	background: #317f34;
	text-shadow: none;
}

::selection {
	background: #317f34;
	text-shadow: none;
}

img::selection {
	background: transparent;
}

img::-moz-selection {
	background: transparent;
}

#mainNav {
	background-color: #181818;
}

#mainNav .navbar-toggler {
	font-size: 12px;
	right: 0;
	padding: 13px;
	text-transform: uppercase;
	color: white;
	border: 0;
	background-color: #29a745;
}

#mainNav .navbar-brand {
	color: #fed136;
}

#mainNav .navbar-brand.active,
#mainNav .navbar-brand:active,
#mainNav .navbar-brand:focus,
#mainNav .navbar-brand:hover {
	color: #fec503;
}

#mainNav .navbar-nav .nav-item .nav-link {
	font-size: 90%;
	font-weight: 400;
	padding: 0.75em 0;
	letter-spacing: 1px;
	color: white;
	opacity: 0.7;
}

#mainNav .navbar-nav .nav-item .nav-link.active,
#mainNav .navbar-nav .nav-item .nav-link:hover {
	color: #ffffff;
	opacity: 1.0;
}

@media (min-width: 992px) {
	#mainNav {
		padding-top: 15px;
		padding-bottom: 15px;
		-webkit-transition: padding-top 0.3s, padding-bottom 0.3s;
		-moz-transition: padding-top 0.3s, padding-bottom 0.3s;
		transition: padding-top 0.3s, padding-bottom 0.3s;
		border: none;
		background-color: #4caf50;
	}
	#mainNav .navbar-brand {
		font-size: 1.75em;
		-webkit-transition: all 0.3s;
		-moz-transition: all 0.3s;
		transition: all 0.3s;
	}
	#mainNav .navbar-nav .nav-item .nav-link {
		padding: 1.1em 1em !important;
	}
	#mainNav.navbar-shrink {
		padding-top: 0;
		padding-bottom: 0;
		background-color: #4caf50;
	}
	#mainNav.navbar-shrink .navbar-brand {
		font-size: 1.25em;
		padding: 12px 0;
	}
}

.service-heading {
	margin: 15px 0;
	text-transform: none;
}

#portfolio .portfolio-item {
	right: 0;
	margin-bottom: 15px;
}

#portfolio .portfolio-item .portfolio-link {
	position: relative;
	display: block;
	max-width: 400px;
	margin: 0 auto;
	cursor: pointer;
}

#portfolio .portfolio-item .portfolio-link .portfolio-hover {
	position: absolute;
	width: 100%;
	height: 100%;
	-webkit-transition: all ease 0.5s;
	-moz-transition: all ease 0.5s;
	transition: all ease 0.5s;
	opacity: 0;
	background: rgba(75, 175, 79, 0.9);
}

#portfolio .portfolio-item .portfolio-link .portfolio-hover:hover {
	opacity: 1;
}

#portfolio .portfolio-item .portfolio-link .portfolio-hover .portfolio-hover-content {
	font-size: 20px;
	position: absolute;
    top: 45%;
	width: 100%;
	height: 20px;
	margin-top: -12px;
	text-align: center;
	color: white;
}

#portfolio .portfolio-item .portfolio-link .portfolio-hover .portfolio-hover-content i {
	margin-top: -12px;
}

#portfolio .portfolio-item .portfolio-link .portfolio-hover .portfolio-hover-content h3,
#portfolio .portfolio-item .portfolio-link .portfolio-hover .portfolio-hover-content h4 {
	margin: 0;
}

#portfolio .portfolio-item .portfolio-caption {
	max-width: 400px;
	margin: 0 auto;
	padding: 25px;
	text-align: center;
	background-color: #fff;
}

#portfolio .portfolio-item .portfolio-caption h4 {
	margin: 0;
	text-transform: none;
}

#portfolio .portfolio-item .portfolio-caption p {
	font-size: 16px;
	font-style: italic;
	margin: 0;
}

#portfolio * {
	z-index: 2;
}

@media (min-width: 767px) {
	#portfolio .portfolio-item {
		margin-bottom: 30px;
	}
}

.portfolio-modal {
	padding-right: 0px !important;
}

.portfolio-modal .modal-dialog {
	margin: 1rem;
	max-width: 100vw;
}

.portfolio-modal .modal-content {
	padding: 100px 0;
	text-align: center;
	background-color: #424242;
}

.portfolio-modal .modal-content h2 {
	font-size: 3em;
	margin-bottom: 15px;
}

.portfolio-modal .modal-content p {
	margin-bottom: 30px;
}

.portfolio-modal .modal-content p.item-intro {
	font-size: 16px;
	font-style: italic;
	margin: 20px 0 30px;
}

.portfolio-modal .modal-content ul.list-inline {
	margin-top: 0;
	margin-bottom: 30px;
}

.portfolio-modal .modal-content img {
	margin-bottom: 30px;
}

.portfolio-modal .modal-content button {
	cursor: pointer;
}

.portfolio-modal .close-modal {
	position: absolute;
	top: 25px;
	right: 25px;
	width: 75px;
	height: 75px;
	cursor: pointer;
	background-color: transparent;
}

.portfolio-modal .close-modal:hover {
	opacity: 0.3;
}

.portfolio-modal .close-modal .lr {
	/* Safari and Chrome */
	z-index: 1051;
	width: 1px;
	height: 75px;
	margin-left: 35px;
	/* IE 9 */
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
	background-color: #e5e5e5;
}

.portfolio-modal .close-modal .lr .rl {
	/* Safari and Chrome */
	z-index: 1052;
	width: 1px;
	height: 75px;
	/* IE 9 */
	-webkit-transform: rotate(90deg);
	-ms-transform: rotate(90deg);
	transform: rotate(90deg);
	background-color: #e5e5e5;
}

.timeline {
	position: relative;
	padding: 0;
	list-style: none;
}

.timeline:before {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 40px;
	width: 2px;
	margin-left: -1.5px;
	content: '';
	background-color: #bdbdbd;
}

.timeline>li {
	position: relative;
	min-height: 50px;
	margin-bottom: 50px;
}

.timeline>li:after,
.timeline>li:before {
	display: table;
	content: ' ';
}

.timeline>li:after {
	clear: both;
}

.timeline>li .timeline-panel {
	position: relative;
	float: right;
	width: 100%;
	padding: 0 20px 0 100px;
	text-align: left;
	background: #424242;
}

.timeline>li .timeline-panel:before {
	right: auto;
	left: -15px;
	border-right-width: 15px;
	border-left-width: 0;
}

.timeline>li .timeline-panel:after {
	right: auto;
	left: -14px;
	border-right-width: 14px;
	border-left-width: 0;
}

.timeline>li .timeline-image {
	position: absolute;
	z-index: 100;
	left: 0;
	width: 15px;
	height: 15px;
	margin-left: 32px;
	text-align: center;
	color: white;
	border: 0px solid #e9ecef;
	border-radius: 100%;
	background-color: #4caf50;
}

.timeline>li .timeline-image h4 {
	font-size: 10px;
	line-height: 14px;
	margin-top: 12px;
}

.timeline>li.timeline-inverted>.timeline-panel {
	float: right;
	padding: 0 20px 0 100px;
	text-align: left;
}

.timeline>li.timeline-inverted>.timeline-panel:before {
	right: auto;
	left: -15px;
	border-right-width: 15px;
	border-left-width: 0;
}

.timeline>li.timeline-inverted>.timeline-panel:after {
	right: auto;
	left: -14px;
	border-right-width: 14px;
	border-left-width: 0;
}

.timeline>li:last-child {
	margin-bottom: 0;
}

.timeline .timeline-heading h4 {
	margin-top: 0;
	font-size: 24px;
	line-height: 40px;
	font-weight: bold;
	opacity: 0.7;
	color: inherit;
	margin: 0px;
}

.timeline-heading span {
	color: #4caf50;
	font-size: 16px;
	line-height: 34px;
}

.timeline .timeline-heading h4.subheading {
	text-transform: none;
}

.timeline .timeline-body>ul,
.timeline .timeline-body>p {
	margin-bottom: 0;
}

.topbar {
    width: 100%;
    height: 80px;
	padding-top: 18px;
    position: relative;
    background-color: #4caf50;
}
.topbar .icon {
    height: 45px;
}
.topbar .mode-container {
    width: 45px;
    height: 60px;
    position: absolute;
    top: 0;
    right: 10px;
    padding-top: 29px; 
}
 .topbar .mode-container #dark-mode-toggle {
      font-size: 20px;
      line-height: 20px;
      color: #fff;
      text-decoration: none; 
  }
.bottom-icon {
	height: 32px;
    padding-right: 20px;
    margin-top: -2px;
}

@media (min-width: 768px) {
	.timeline:before {
		left: 50%;
	}
	.timeline>li {
		min-height: 100px;
		margin-bottom: 100px;
	}
	.timeline>li .timeline-panel {
		float: left;
		width: 41%;
		padding: 0 20px 20px 30px;
		text-align: left;
	}
	.timeline>li .timeline-image {
		left: 50%;
		width: 15px;
		height: 15px;
		margin-left: -8px;
	}
	.timeline>li .timeline-image h4 {
		font-size: 13px;
		line-height: 18px;
		margin-top: 16px;
	}
	.timeline>li.timeline-inverted>.timeline-panel {
		float: right;
		padding: 0 30px 20px 20px;
		text-align: left;
	}
}

@media (min-width: 992px) {
	.timeline>li {
		min-height: 150px;
	}
	.timeline>li .timeline-panel {
		padding: 0 20px 20px;
	}
	.timeline>li .timeline-image {
		width: 15px;
		height: 15px;
		margin-left: -8px;
	}
	.timeline>li .timeline-image h4 {
		font-size: 18px;
		line-height: 26px;
		margin-top: 30px;
	}
	.timeline>li.timeline-inverted>.timeline-panel {
		padding: 0 20px 20px;
	}
}

@media (min-width: 1200px) {
	.timeline>li {
		min-height: 170px;
	}
	.timeline>li .timeline-panel {
		padding: 30px 20px !important;
	}
	.timeline>li .timeline-image {
		width: 15px;
		height: 15px;
		margin-left: -8px;
	}
	.timeline>li .timeline-image h4 {
		margin-top: 40px;
	}
	.timeline>li.timeline-inverted>.timeline-panel {
		padding: 0 100px 20px 20px;
	}
}

.timeline>li.timeline-inverted>.timeline-panel::before {
	content: '';
	position: absolute;
	top: 0px;
	left: -60px;
	height: 0;
	width: 0;
	border: 30px solid transparent;
	border-right: 30px solid #424242;
	border-top: 0px;
}

.timeline>li .timeline-panel::before {
	content: '';
	position: absolute;
	top: 0px;
	right: 100%;
	height: 0;
	width: 0;
	border: 30px solid transparent;
	border-right: 30px solid white;
	border-top: 0px;
	left: 100%;
	border-color: transparent;
	border-left-color: #424242;
}

.timeline p {
	margin: 0;
	font-size: 15px;
	line-height: 27px;
	opacity: 0.7;
}

.team-member {
	margin-bottom: 50px;
	text-align: center;
}

.team-member img {
	width: 225px;
	height: 225px;
	border: 7px solid #fff;
}

.team-member h4 {
	margin-top: 25px;
	margin-bottom: 0;
	text-transform: none;
}

.team-member p {
	margin-top: 0;
}

section#contact {

}

section#contact .section-heading {
	color: #fff;
}

section#contact .form-group {
	margin-bottom: 25px;
}

section#contact .form-group input,
section#contact .form-group textarea {
	padding: 20px;
}

section#contact .form-group input.form-control {
	height: auto;
}

section#contact .form-group textarea.form-control {
	height: 248px;
}

section#contact .form-control:focus {
	border-color: #fed136;
	box-shadow: none;
} 

section#contact ::-webkit-input-placeholder {
	font-weight: 700;
	color: #ced4da;
}

section#contact :-moz-placeholder {
	font-weight: 700;
	color: #ced4da;
	/* Firefox 18- */
}

section#contact ::-moz-placeholder {
	font-weight: 700;
	color: #ced4da;
	/* Firefox 19+ */
}

section#contact :-ms-input-placeholder {
	font-weight: 700;
	color: #ced4da;
}

footer {
	padding: 25px 0;
	text-align: center;
}

footer span.copyright {
	font-size: 90%;
	line-height: 40px;
	text-transform: none;
}

footer ul.quicklinks {
	font-size: 90%;
	line-height: 40px;
	margin-bottom: 0;
	text-transform: none;
}

ul.social-buttons {
	margin-bottom: 0;
}

ul.social-buttons li a {
	font-size: 20px;
	line-height: 40px;
	display: block;
	width: 40px;
	height: 40px;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
	color: white;
	border-radius: 100%;
	outline: none;
	background-color: #212529;
}

ul.social-buttons li a:active,
ul.social-buttons li a:focus,
ul.social-buttons li a:hover {
	background-color: #4baf4f;
}

.card-body {
	-webkit-box-flex: 1;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
	padding: 1.25rem;
	box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.intro {
	padding: 40px 25px 60px 25px;
	background-color: #424242;
}

.skills {
	padding: 40px 30px;
	background-color: #4caf50;
}

.card {
	border: 0px solid rgba(255, 25, 25, 0);
	border-radius: 0px;
}

.about {
    padding-top: 55px;
	margin-bottom: 10px;
	text-align: center;
}

.profile-pic img {
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	-ms-border-radius: 50%;
	-o-border-radius: 50%;
	border-radius: 50%;
	height: 150px;
	width: 150px;
	vertical-align: middle;
	margin-top: -70px;
}

.about h2 {
	font-weight: bold;
	margin: 0px;
	font-size: 35px;
	line-height: 52px;
	opacity: 0.7;
}

.intro-content span {
	font-size: 18px;
	line-height: 34px;
	color: #8a8a8b;
	margin-bottom: 25px;
}

p {
	margin-top: 16px;
	margin-bottom: 16px;
}

.intro-content p {
	font-size: 15px;
	line-height: 27px;
	opacity: 0.7;
	padding: 0 50px;
}

@media (min-width: 1200px) {
	.container {
		max-width: 1000px;
	}
}

@media (min-width: 1300px) {
	.container {
		max-width: 1000px;
	}
}

@media (min-width: 1400px) {
	.container {
		max-width: 1280px;
	}
}

.btn {
font-size: 15px;}

.list-inline {
line-height: 30px;}


.form-control {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #c0c0c0;
    background-color: #303030;
    background-clip: padding-box;
    border: 1px solid #303030;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

section#contact .form-control:focus {
    border-color: #4baf4f;
    box-shadow: none;
    background: #303030;
    color: white;
}


/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #444; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
    background: #43a047; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #2e7d32; 
}

 .fa-hide { display: none; }


    @media only screen and (max-width: 767px) {

	.timeline>li .timeline-image, .timeline>li .timeline-panel::before, .timeline:before {
		display: none;
	}

	.timeline>li .timeline-panel {
	    float: none;
	    padding: 10px 20px 10px 20px;
	    text-align: left;
	}	
	.timeline>li.timeline-inverted>.timeline-panel{
	    float: none;
		padding: 10px 20px 10px 20px;
		text-align: left;

	}

	.timeline .timeline-heading h4 {
	    margin-top: 0;
	    font-size: 18px;
	    line-height: 27px;
	    font-weight: bold;
	    opacity: 0.7;
	    color: inherit;
	    margin: 0px;
	}
	.timeline p {
    margin: 0;
    font-size: 14px;
}
.timeline-heading span {
    color: #4caf50;
    font-size: 13px;
    line-height: 34px;
}
.timeline>li {
    position: relative;
    min-height: 50px;
    margin-bottom: 25px;
}
#about {
    padding-top: 60px;
  }

.section-title {
    padding-bottom: 20px;
    padding-top: 35px;
}

.intro-content p {
    font-size: 15px;
    line-height: 27px;
    padding: 0 0px;
}

.intro {
    padding: 40px 10px 60px 10px;
}

.btn-secondary {
    padding: 10px 46px;
}

.skills h3 {
    margin-bottom: 15px;
    line-height: 32px;
}

.skill-icon {
    display: none;
 }   


.fa-hide {
    display: inline;
}


.portfolio-modal .modal-content h2 {
    font-size: 2em;
    margin-bottom: 15px;
}


.portfolio-modal .close-modal {
    position: absolute;
    top: 25px;
    right: 25px;
    width: 75px;
    height: 40px;
    cursor: pointer;
    background-color: transparent;
}

.portfolio-modal .close-modal .lr {
    z-index: 1051;
    width: 1px;
    height: 40px;
    margin-left: 35px;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    background-color: #e5e5e5;
}

.portfolio-modal .close-modal .lr .rl {
    z-index: 1052;
    width: 1px;
    height: 40px;
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
    background-color: #e5e5e5;
}

.portfolio-modal .modal-content {
    padding: 60px 0;
}

}
   @media only screen and (max-width: 460px) {
.btn-secondary {
    margin-top: 5px;
}

/**********************************************************
*   @DARK MODE
***********************************************************/
.light /* Track */
  /* Handle */
  /* Handle on hover */ }
  .light body {
    background: #e3e3e3;
    color: #000; }
  .light ::-webkit-scrollbar-track {
    background: #fff; }
  .light ::-webkit-scrollbar-thumb {
    background: #4caf50; }
  .light ::-webkit-scrollbar-thumb:hover {
    background: #444; }

.light .intro {
    background-color: #fff;
}

.light .skills {
    color: white;
}

.light section#contact .section-heading {
    color: #000;
}

.light .timeline>li .timeline-panel {
    background: #fff;
}

.light .timeline>li .timeline-panel::before {
    content: '';
    position: absolute;
    top: 0px;
    right: 100%;
    height: 0;
    width: 0;
    border: 30px solid transparent;
    border-right: 30px solid white;
    border-top: 0px;
    left: 100%;
    border-color: transparent;
    border-left-color: #ffffff;
}
 
.light .timeline>li.timeline-inverted>.timeline-panel::before {
    content: '';
    position: absolute;
    top: 0px;
    left: -60px;
    height: 0;
    width: 0;
    border: 30px solid transparent;
    border-right: 30px solid #fff;
    border-top: 0px;
}

.light ul.social-buttons li a {
    background-color: #fff;
    color: black;
}

.light ul.social-buttons li a:active, ul.social-buttons li a:focus, ul.social-buttons li a:hover {
    background-color: #4baf4f;
    color: white;
}

.light .form-control {
    color: black;
    background-color: #e3e3e3;
    border: 1px solid #a5a5a5;
}

.light section#contact .form-control:focus {
    border-color: #4baf4f;
    box-shadow: none;
    background: #fdfdfd;
    color: black;
}

.light section#contact ::-webkit-input-placeholder {
	font-weight: 700;
	color: #a6a6a6;
}

.light section#contact :-moz-placeholder {
	font-weight: 700
	color: #a6a6a6;
	/* Firefox 18- */
}

.light section#contact ::-moz-placeholder {
	font-weight: 700;
	color: #a6a6a6;
	/* Firefox 19+ */
}

.light section#contact :-ms-input-placeholder {
	font-weight: 700;
	color: #a6a6a6;
}

.light .portfolio-modal .modal-content {
    background-color: #ffffff;
}

.light .list-inline a {
	color: #4caf50;
}

.light .list-inline a :hover {
	color: #4caf50;
	text-decoration: underline;
}

.light .portfolio-modal .close-modal .lr {
    background-color: #000000;
}

.light .portfolio-modal .close-modal .rl {
    background-color: #000000;
}